> For the complete documentation index, see [llms.txt](https://docs.cw.crisisworks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cw.crisisworks.com/security-and-support/technical-reference/api-reference/concepts.md).

# Concepts

Crisisworks offers a unified web services endpoint for both REST (Representational State Transfer) and RPC (Remote Procedure Call) commands.

Some commands are RESTful while others implement an RPC interface. All commands use HTTPS as the transport, and support the common HTTP/1.1 verbs `GET`, `POST` and `PUT`.

## Initial access

To obtain access to these APIs, API users must:

* register their intended use
* be approved by Datalink and the customer of the tenancy, and
* agree to abide by the [API Terms of Use](/security-and-support/security/api-terms-of-use.md).

Contact Datalink's Service Desk to arrange access.

## Calling the APIs

The general format for calling the API is:

```http
GET https://{{host}}/api/json/{{command}}
Authorization: Bearer {{token}}
X-Site: {{site}}
```

This would be called using your HTTP client of choice and comprise the following components:

|           |                                         |
| --------- | --------------------------------------- |
| `host`    | The Crisisworks system URL              |
| `site`    | The Site ID of the tenancy              |
| `command` | The command to run                      |
| `token`   | Your authentication token, if required. |

The headers in this standard format include `Authorization` and `X-Site`, which are both required for most APIs.

Responses are in JSON. The following is a response to the ping command illustrated earlier.

```json
{
  "status": 200,
  "timestamp": "2025-07-22T12:12:25+10:00"
}
```

RPC APIs include a `status` property which uses HTTP status codes, and `200` indicates success, `4XX` codes represent bad inputs, and `5XX` codes are server-side errors. REST responses will return the record structure.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cw.crisisworks.com/security-and-support/technical-reference/api-reference/concepts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
